Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype
Interface ValidationRule

All Known Implementing Classes:
  AbstractValidationRule

public interface ValidationRule

Interface for validation rules. Most `Datatype` implementations will perform their validation by checking a number of these validation rules (though strictly spoken this is not required).

Version:
  $Id: ValidationRule.java 587759 2007-10-24 03:00:37Z vgritsenko $

Method Summary
`boolean` | `supportsType(Class clazz, boolean arrayType)` Returns true if this ValidationRule supports validating objects of the same class as the one specified.
`ValidationError` | `validate(Object value, org.outerj.expression.ExpressionContext expressionContext)`

Method Detail

### validate

    public ValidationError validate(Object value,
                                    org.outerj.expression.ExpressionContext expressionContext)

  Parameters:
    `value` - a value of a class supported by the ValidationRule implementation
    `expressionContext` - many validation rules use the xReporter expression interpreter, the expressionContext allows to resolve variables used in these expressions.

### supportsType

    public boolean supportsType(Class clazz,
                                boolean arrayType)

  Returns true if this ValidationRule supports validating objects of the same class as the one specified. If the flag 'arrayType' is true, this method will return true if this validation rule can validate arrays of these objects (i.e. the object passed to the validate method will then be an array).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.